<mat-sidenav-container class="app-sidenav-container" [class.dark-theme]="isDarkTheme" [dir]="dir">

  <mat-sidenav #sidenav class="app-sidenav mat-elevation-z10" [opened]="!isScreenSmall" [mode]="isScreenSmall ? 'over' : 'side'">

    <mat-toolbar class="mat-primary">
      Contacts
    </mat-toolbar>

    <mat-nav-list>
      <mat-list-item *ngFor="let user of users | async" [routerLink]="['/contactmanager', user.id]">
        <a matLine >
          <mat-icon svgIcon="{{user.avatar}}"></mat-icon> {{ user.name }}
        </a>
      </mat-list-item>
    </mat-nav-list>

  </mat-sidenav>

  <div class="app-sidenav-content">
    <app-toolbar (toggleSidenav)="sidenav.toggle()"
                 (toggleTheme)="toggleTheme()"
                (toggleDirection)="toggleDirection()"></app-toolbar>
    <div class="wrapper">
      <router-outlet></router-outlet>
    </div>
  </div>

</mat-sidenav-container>
